com.mysql.cj

## Class PerConnectionLRUFactory

- java.lang.Object
- - com.mysql.cj.PerConnectionLRUFactory

All Implemented Interfaces:
  CacheAdapterFactory<String,QueryInfo>

    public class PerConnectionLRUFactory
    extends Object
    implements CacheAdapterFactory<String,QueryInfo>

### Nested Class Summary

Nested Classes
`(package private) class` `PerConnectionLRUFactory.PerConnectionLRU`

### Constructor Summary

Constructors
Constructor and Description
`PerConnectionLRUFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CacheAdapter<String,QueryInfo>` `getInstance(Object syncMutex, String url, int cacheMaxSize, int maxKeySize)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerConnectionLRUFactory

    public PerConnectionLRUFactory()

### Method Detail

#### getInstance

    public CacheAdapter<String,QueryInfo> getInstance(Object syncMutex,
                                                      String url,
                                                      int cacheMaxSize,
                                                      int maxKeySize)

Specified by:
  `getInstance` in interface `CacheAdapterFactory<String,QueryInfo>`

Copyright © 2016, 2023, Oracle and/or its affiliates.